Package picard.util

# Class Iterators

java.lang.Object
picard.util.Iterators

public class Iterators extends Object

## Constructor Summary

Constructors
Constructor
Description
`Iterators()`

## Method Summary

Modifier and Type
Method
Description
`static <E> AtomicIterator<E>`
`atomicIteratorOf(Iterable<E> backingIterable)`
`static <E> AtomicIterator<E>`
`atomicIteratorOf(Iterator<E> backingIterator)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Iterators

public Iterators()

## Method Details

### atomicIteratorOf

public static <E> AtomicIterator<E> atomicIteratorOf(Iterable<E> backingIterable)

### atomicIteratorOf

public static <E> AtomicIterator<E> atomicIteratorOf(Iterator<E> backingIterator)